/*-----------------------------------------------------------------------
   Fonts
-----------------------------------------------------------------------*/

@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900");

/*--------------------------------------------------------------
  Variables
--------------------------------------------------------------*/

:root {
    --deep-blue: #033951;
    --blue: #09587a;
    --light-blue: #69bbce;
    --mist: #e1f1f3;
    --grey: #333333;
    --white: #ffffff;

    --font-primary: "Roboto", sans-serif;
}

/*--------------------------------------------------------------
   Base
--------------------------------------------------------------*/

html {
    width: 100%;
    height: 100vh;
}

body {
    margin: 0;
    padding: 0;
    position: relative;
    font-family: var(--font-primary);
    font-size: 16px;
    line-height: 1.5;
    font-weight: 300;
    color: var(--deep-blue);
    height: 100vh;
    min-height: fit-content;
    background: var(--white);
    display: flex;
    align-items: center;
    justify-content: center;
}

@media (max-width: 720px) {
    body {
        align-items: flex-start;
        height: 100% !important;
        min-height: 0;
    }
}

/*--------------------------------------------------------------
   Typogrpahy
--------------------------------------------------------------*/

h1 {
    font-size: 45px;
    line-height: 50px;
    font-weight: 500;
    margin: 20px 0;
}

h2 {
    font-size: 18px;
    line-height: 22px;
    font-weight: 400;
    color: var(--grey);
}

p {
    font-weight: 400;
    margin: 0 0 5px;
}

a {
    color: var(--blue);
    text-decoration: none;
    transition: 0.25s ease all;
    text-decoration: none;
}

a:hover {
    color: var(--light-blue);
}

strong {
    font-weight: 600;
}

@media (max-width: 990px) {
    h1 {
        font-size: 32px;
        line-height: 38px;
    }

    h2 {
        font-size: 18px;
        line-height: 22px;
    }
}

/*--------------------------------------------------------------
   Holding Page
--------------------------------------------------------------*/

.block-holding {
    padding: 40px;
}

.block-holding .container {
    max-width: 860px;
    text-align: center;
}

.block-holding .logo {
    max-width: 200px;
    height: auto;
    margin-bottom: 30px;
}

.block-holding .social-icons {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    margin-top: 20px;
}

.block-holding .social-icons a,
.block-holding .social-icons svg {
    display: block;
    width: 20px;
    height: 20px;
}

@media (max-width: 990px) {
    .block-holding .logo {
        max-width: 120px;
    }
}

/*--------------------------------------------------------------
   Credit
--------------------------------------------------------------*/

a.thrive-credit {
    opacity: 10%;
    transition: 0.25s ease all;
    position: absolute;
    bottom: 15px;
    right: 15px;
}

a.thrive-credit:hover {
    opacity: 40%;
}

a.thrive-credit img {
    max-width: 60px;
    height: auto;
    display: block;
}
